
Redmine - Patch #3362

Issues show accept_key_auth

2009-05-14 18:52 - Scott Rushforth

Status: Closed Start date: 2009-05-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version: 0.8.4   

Description

Hello there,

For another application I am writing I needed to access the issue specific rss with the auth key and not be logged in.

I only needed to change 1 line of code, and I am not sure why this line was not there in the first place.  I hope I have not introduced

additional security risks, but could not figure out how to get the auth key working on issue rss w/o this patch.

I am running the very latest svn version and did not see an existing issue for this.

Thanks, and keep up the amazing work!

-Scott

Associated revisions

Revision 2745 - 2009-05-17 10:35 - Jean-Philippe Lang

Makes issues/show accept rss key (#3362).

History

#1 - 2009-05-17 10:26 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

Fixed in r2745. Thanks.

#2 - 2009-05-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2746.
